Package org.apache.torque.generator.source.transform.model

## Class PropertyAccessTest

- java.lang.Object
- - org.apache.torque.generator.source.transform.model.PropertyAccessTest

-     public class PropertyAccessTest
      extends Object

  Tests for the PropertyAccess class.
  Version:
    $Id: $

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PropertyAccessTest.TestBaseClass` |
    `static class` | `PropertyAccessTest.TestClass` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyAccessTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setUp()` |
    `void` | `testAccessPublicFieldFromBaseClass()` |
    `void` | `testGetFirstGenericTypeArgumentNotExistentField()` |
    `void` | `testGetFirstGenericTypeArgumentPrivateField()` |
    `void` | `testGetFirstGenericTypeArgumentPublicCollectionField()` |
    `void` | `testGetFirstGenericTypeArgumentPublicCollectionGetterWithoutSetter()` |
    `void` | `testGetFirstGenericTypeArgumentPublicCollectionSetter()` |
    `void` | `testGetFirstGenericTypeArgumentPublicIntField()` |
    `void` | `testGetPropertyTypeNotExistentField()` |
    `void` | `testGetPropertyTypePrivateField()` |
    `void` | `testGetPropertyTypePublicIntField()` |
    `void` | `testGetPropertyTypePublicIntSetter()` |
    `void` | `testGetPropertyTypePublicStringField()` |
    `void` | `testGetPropertyTypePublicStringSetter()` |
    `void` | `testPropertyAccessPropertyNameNull()` |
    `void` | `testPropertyAccessTargetNull()` |
    `void` | `testSetPropertyField()` |
    `void` | `testSetPropertyIntFieldNull()` |
    `void` | `testSetPropertyIntSetterNull()` |
    `void` | `testSetPropertyNotExistentField()` |
    `void` | `testSetPropertyOnlyGetter()` |
    `void` | `testSetPropertyPrivateField()` |
    `void` | `testSetPropertyPrivateSetter()` |
    `void` | `testSetPropertyProtectedField()` |
    `void` | `testSetPropertyProtectedSetter()` |
    `void` | `testSetPropertyPublicBooleanFieldUsingConverter()` |
    `void` | `testSetPropertyPublicBooleanSetterWithConverter()` |
    `void` | `testSetPropertyPublicField()` |
    `void` | `testSetPropertyPublicFieldEndingWithS()` | Check whether a field ending with s can be accessed without the ending s.
    `void` | `testSetPropertyPublicFieldStartingWithUnderscore()` | Check whether a field starting with an underscore can be accessed without the underscore.
    `void` | `testSetPropertyPublicFieldWrongClass()` |
    `void` | `testSetPropertyPublicSetter()` |
    `void` | `testSetPropertyPublicSetterEndingWithS()` |
    `void` | `testSetPropertyPublicSetterFromBaseClass()` |
    `void` | `testSetPropertyPublicSetterWrongClass()` |
    `void` | `testSetPropertyPublicStringArrayField()` |
    `void` | `testSetPropertyPublicStringArrayFieldAlreadyFilled()` |
    `void` | `testSetPropertyPublicStringArrayFieldArray()` |
    `void` | `testSetPropertyPublicStringArrayFieldNull()` |
    `void` | `testSetPropertyPublicStringArrayGetterWithoutSetter()` |
    `void` | `testSetPropertyPublicStringArraySetter()` |
    `void` | `testSetPropertyPublicStringArraySetterAlreadyFilled()` |
    `void` | `testSetPropertyPublicStringArraySetterArray()` |
    `void` | `testSetPropertyPublicStringArraySetterNull()` |
    `void` | `testSetPropertyPublicStringArraySetterWithoutGetter()` |
    `void` | `testSetPropertyPublicStringCollectionField()` |
    `void` | `testSetPropertyPublicStringCollectionFieldAlreadyFilled()` |
    `void` | `testSetPropertyPublicStringCollectionFieldCollection()` | Checks that a collection field gets overwritten if it is set using a collection.
    `void` | `testSetPropertyPublicStringCollectionFieldNull()` |
    `void` | `testSetPropertyPublicStringCollectionOnlyGetter()` | Checks that a collection setter field gets overwritten if it is set using a collection.
    `void` | `testSetPropertyPublicStringCollectionOnlyGetterAlreadyFilled()` | Checks that a collection setter field gets overwritten if it is set using a collection.
    `void` | `testSetPropertyPublicStringCollectionSetter()` |
    `void` | `testSetPropertyPublicStringCollectionSetterAlreadyFilled()` |
    `void` | `testSetPropertyPublicStringCollectionSetterCollection()` | Checks that a collection setter field gets overwritten if it is set using a collection.
    `void` | `testSetPropertyPublicStringCollectionSetterNull()` |
    `void` | `testSetPropertyPublicStringField()` |
    `void` | `testSetPropertyPublicStringFieldNull()` |
    `void` | `testSetPropertyPublicStringListField()` |
    `void` | `testSetPropertyPublicStringListSetter()` |
    `void` | `testSetPropertyPublicStringQueueField()` |
    `void` | `testSetPropertyPublicStringQueueSetter()` |
    `void` | `testSetPropertyPublicStringSetField()` |
    `void` | `testSetPropertyPublicStringSetSetter()` |
    `void` | `testSetPropertyPublicStringSetter()` |
    `void` | `testSetPropertyPublicStringSetterNull()` |
    `void` | `testSetPropertyPublicStringVectorField()` |
    `void` | `testSetPropertyPublicStringVectorSetter()` |
    `void` | `testSetPropertySetter()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyAccessTest

          public PropertyAccessTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

    - #### testPropertyAccessTargetNull

          public void testPropertyAccessTargetNull()
                                            throws Exception

      Throws:
        `Exception`

    - #### testPropertyAccessPropertyNameNull

          public void testPropertyAccessPropertyNameNull()
                                                  throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyNotExistentField

          public void testSetPropertyNotExistentField()
                                               throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPrivateField

          public void testSetPropertyPrivateField()
                                           throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyProtectedField

          public void testSetPropertyProtectedField()
                                             throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyField

          public void testSetPropertyField()
                                    throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicField

          public void testSetPropertyPublicField()
                                          throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicFieldEndingWithS

          public void testSetPropertyPublicFieldEndingWithS()
                                                     throws Exception

      Check whether a field ending with s can be accessed without the ending s.
      Throws:
        `Exception` - if the test fails.

    - #### testSetPropertyPublicFieldStartingWithUnderscore

          public void testSetPropertyPublicFieldStartingWithUnderscore()
                                                                throws Exception

      Check whether a field starting with an underscore can be accessed without the underscore.
      Throws:
        `Exception` - if the test fails.

    - #### testAccessPublicFieldFromBaseClass

          public void testAccessPublicFieldFromBaseClass()
                                                  throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicFieldWrongClass

          public void testSetPropertyPublicFieldWrongClass()
                                                    throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyIntFieldNull

          public void testSetPropertyIntFieldNull()
                                           throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringField

          public void testSetPropertyPublicStringField()
                                                throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringFieldNull

          public void testSetPropertyPublicStringFieldNull()
                                                    throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringArrayField

          public void testSetPropertyPublicStringArrayField()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringArrayFieldAlreadyFilled

          public void testSetPropertyPublicStringArrayFieldAlreadyFilled()
                                                                  throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringArrayFieldNull

          public void testSetPropertyPublicStringArrayFieldNull()
                                                         throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringArrayFieldArray

          public void testSetPropertyPublicStringArrayFieldArray()
                                                          throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringCollectionField

          public void testSetPropertyPublicStringCollectionField()
                                                          throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringCollectionFieldAlreadyFilled

          public void testSetPropertyPublicStringCollectionFieldAlreadyFilled()
                                                                       throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringCollectionFieldNull

          public void testSetPropertyPublicStringCollectionFieldNull()
                                                              throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringCollectionFieldCollection

          public void testSetPropertyPublicStringCollectionFieldCollection()
                                                                    throws Exception

      Checks that a collection field gets overwritten if it is set using a collection.
      Throws:
        `Exception` - if the test fails.

    - #### testSetPropertyPublicStringListField

          public void testSetPropertyPublicStringListField()
                                                    throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringSetField

          public void testSetPropertyPublicStringSetField()
                                                   throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringQueueField

          public void testSetPropertyPublicStringQueueField()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringVectorField

          public void testSetPropertyPublicStringVectorField()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicBooleanFieldUsingConverter

          public void testSetPropertyPublicBooleanFieldUsingConverter()
                                                               throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyOnlyGetter

          public void testSetPropertyOnlyGetter()
                                         throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPrivateSetter

          public void testSetPropertyPrivateSetter()
                                            throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyProtectedSetter

          public void testSetPropertyProtectedSetter()
                                              throws Exception

      Throws:
        `Exception`

    - #### testSetPropertySetter

          public void testSetPropertySetter()
                                     throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicSetter

          public void testSetPropertyPublicSetter()
                                           throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicSetterEndingWithS

          public void testSetPropertyPublicSetterEndingWithS()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicSetterFromBaseClass

          public void testSetPropertyPublicSetterFromBaseClass()
                                                        throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicSetterWrongClass

          public void testSetPropertyPublicSetterWrongClass()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyIntSetterNull

          public void testSetPropertyIntSetterNull()
                                            throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringSetter

          public void testSetPropertyPublicStringSetter()
                                                 throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringSetterNull

          public void testSetPropertyPublicStringSetterNull()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringArraySetter

          public void testSetPropertyPublicStringArraySetter()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringArraySetterAlreadyFilled

          public void testSetPropertyPublicStringArraySetterAlreadyFilled()
                                                                   throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringArraySetterNull

          public void testSetPropertyPublicStringArraySetterNull()
                                                          throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringArraySetterArray

          public void testSetPropertyPublicStringArraySetterArray()
                                                           throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringArraySetterWithoutGetter

          public void testSetPropertyPublicStringArraySetterWithoutGetter()
                                                                   throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringArrayGetterWithoutSetter

          public void testSetPropertyPublicStringArrayGetterWithoutSetter()
                                                                   throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringCollectionSetter

          public void testSetPropertyPublicStringCollectionSetter()
                                                           throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringCollectionSetterAlreadyFilled

          public void testSetPropertyPublicStringCollectionSetterAlreadyFilled()
                                                                        throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringCollectionSetterNull

          public void testSetPropertyPublicStringCollectionSetterNull()
                                                               throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringCollectionSetterCollection

          public void testSetPropertyPublicStringCollectionSetterCollection()
                                                                     throws Exception

      Checks that a collection setter field gets overwritten if it is set using a collection.
      Throws:
        `Exception` - if the test fails.

    - #### testSetPropertyPublicStringListSetter

          public void testSetPropertyPublicStringListSetter()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringSetSetter

          public void testSetPropertyPublicStringSetSetter()
                                                    throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringQueueSetter

          public void testSetPropertyPublicStringQueueSetter()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringVectorSetter

          public void testSetPropertyPublicStringVectorSetter()
                                                       throws Exception

      Throws:
        `Exception`

    - #### testSetPropertyPublicStringCollectionOnlyGetter

          public void testSetPropertyPublicStringCollectionOnlyGetter()
                                                               throws Exception

      Checks that a collection setter field gets overwritten if it is set using a collection.
      Throws:
        `Exception` - if the test fails.

    - #### testSetPropertyPublicStringCollectionOnlyGetterAlreadyFilled

          public void testSetPropertyPublicStringCollectionOnlyGetterAlreadyFilled()
                                                                            throws Exception

      Checks that a collection setter field gets overwritten if it is set using a collection.
      Throws:
        `Exception` - if the test fails.

    - #### testSetPropertyPublicBooleanSetterWithConverter

          public void testSetPropertyPublicBooleanSetterWithConverter()
                                                               throws Exception

      Throws:
        `Exception`

    - #### testGetPropertyTypeNotExistentField

          public void testGetPropertyTypeNotExistentField()
                                                   throws Exception

      Throws:
        `Exception`

    - #### testGetPropertyTypePrivateField

          public void testGetPropertyTypePrivateField()
                                               throws Exception

      Throws:
        `Exception`

    - #### testGetPropertyTypePublicIntField

          public void testGetPropertyTypePublicIntField()
                                                 throws Exception

      Throws:
        `Exception`

    - #### testGetPropertyTypePublicStringField

          public void testGetPropertyTypePublicStringField()
                                                    throws Exception

      Throws:
        `Exception`

    - #### testGetPropertyTypePublicIntSetter

          public void testGetPropertyTypePublicIntSetter()
                                                  throws Exception

      Throws:
        `Exception`

    - #### testGetPropertyTypePublicStringSetter

          public void testGetPropertyTypePublicStringSetter()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testGetFirstGenericTypeArgumentNotExistentField

          public void testGetFirstGenericTypeArgumentNotExistentField()
                                                               throws Exception

      Throws:
        `Exception`

    - #### testGetFirstGenericTypeArgumentPrivateField

          public void testGetFirstGenericTypeArgumentPrivateField()
                                                           throws Exception

      Throws:
        `Exception`

    - #### testGetFirstGenericTypeArgumentPublicIntField

          public void testGetFirstGenericTypeArgumentPublicIntField()
                                                             throws Exception

      Throws:
        `Exception`

    - #### testGetFirstGenericTypeArgumentPublicCollectionField

          public void testGetFirstGenericTypeArgumentPublicCollectionField()
                                                                    throws Exception

      Throws:
        `Exception`

    - #### testGetFirstGenericTypeArgumentPublicCollectionSetter

          public void testGetFirstGenericTypeArgumentPublicCollectionSetter()
                                                                     throws Exception

      Throws:
        `Exception`

    - #### testGetFirstGenericTypeArgumentPublicCollectionGetterWithoutSetter

          public void testGetFirstGenericTypeArgumentPublicCollectionGetterWithoutSetter()
                                                                                  throws Exception

      Throws:
        `Exception`